Lifecycle
All operations require authentication.
Get whether a pack resiliation can be canceledProduction
Get whether a pack resiliation can be canceled. Returns whether the ongoing resiliation of the xDSL pack can still be canceled.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ canCancelResiliation \
-H "authorization: Bearer $OVH_TOKEN"true
Cancel the resiliation of an xDSL packProduction
Cancel the resiliation of an xDSL pack. Cancels the ongoing resiliation of the pack. Check first that it can be canceled with canCancelResiliation.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ cancelResiliation \
-H "authorization: Bearer $OVH_TOKEN"Resiliate an xDSL packProduction
Resiliate an xDSL pack. Requests the resiliation of the pack at the given date with a resiliation survey, keeping the listed services. Returns the resiliation follow-up.
Path parameters
The internal name of your pack
Request body (required)
Effective date of the resiliation
Comment about resiliation reasons
Ids of service you will keep on resiliation. (you can get it with /pack/xdsl/{packName}/subServices)
Response
Date when the resiliation will take effect
If the customer needs to return his modem
Date when the resiliation was asked
Status of the resiliation
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ resiliate \
-H "authorization: Bearer $OVH_TOKEN"{ "dateTodo": "2024-01-01T12:00:00Z", "needModemReturn": true, "registrationDate": "2024-01-01T12:00:00Z", "status": "string"}
Get the resiliation follow-up of an xDSL packProduction
Get the resiliation follow-up of an xDSL pack. Returns the status of the ongoing resiliation of the pack, its effective date and whether the modem must be returned.
Path parameters
The internal name of your pack
Response
Date when the resiliation will take effect
If the customer needs to return his modem
Date when the resiliation was asked
Status of the resiliation
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ resiliationFollowUp \
-H "authorization: Bearer $OVH_TOKEN"{ "dateTodo": "2024-01-01T12:00:00Z", "needModemReturn": true, "registrationDate": "2024-01-01T12:00:00Z", "status": "string"}
Get the resiliation terms of an xDSL packProduction
Get the resiliation terms of an xDSL pack. Returns, for a resiliation date, the amount due, the engagement end date, the minimum resiliation date and the resiliation reasons.
Path parameters
The internal name of your pack
Query parameters
The desired resiliation date
Response
Price due at resiliationDate
Date until which the customer is engaged
Minimum date at which the pack can be resiliated
Date at which the pack will be resiliated
List of available resiliation reasons
addressMovebillingProblemscessationOfActivitychangeOfTermschangeOperatoreligibilityFtthftthgoToCompetitorotherpricetechnicalProblemsExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ resiliationTerms \
-H "authorization: Bearer $OVH_TOKEN"{ "due": { "currencyCode": "AUD", "text": "string", "value": 0 }, "engageDate": "2024-01-01T12:00:00Z", "minResiliationDate": "2024-01-01T12:00:00Z", "resiliationDate": "2024-01-01T12:00:00Z", "resiliationReasons": [ "addressMove" ]}
Get the unpack terms of a service of an xDSL packProduction
Get the unpack terms of a service of an xDSL pack. Returns whether the service can be taken out of the pack, the price billed and its renewal price and period.
Path parameters
The internal name of your pack
Response
Tells whether or not the service can be unpacked
Price bill on the unpack action
Renew period in month of the service
The price it will cost when it will be renew
Example uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ subServices/ {domain}/ keepServiceTerms \
-H "authorization: Bearer $OVH_TOKEN"{ "isAllowed": true, "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "renewPeriod": 0, "renewPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }}